Package org.eclipse.emf.cdo.ui

## Class CDOEditorOpener.Registry.EditorOpenerDescriptor

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOEditorOpener.Default
  - - org.eclipse.emf.cdo.ui.CDOEditorOpener.Registry.EditorOpenerDescriptor

- All Implemented Interfaces:
    `CDOEditorOpener`
  Enclosing class:
    CDOEditorOpener.Registry

      public static final class CDOEditorOpener.Registry.EditorOpenerDescriptor
      extends CDOEditorOpener.Default

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.ui.CDOEditorOpener

      `CDOEditorOpener.Default, CDOEditorOpener.Registry`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.ui.CDOEditorOpener

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EditorOpenerDescriptor​(IConfigurationElement element)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected IEditorPart` | `doOpenEditor​(IWorkbenchPage page, URI uri)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.ui.CDOEditorOpener.Default

      `getIcon, getID, getName, getPriority, getRegex, matchesRegex, openEditor, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorOpenerDescriptor

          public EditorOpenerDescriptor​(IConfigurationElement element)

  - ### Method Detail

    - #### doOpenEditor

          protected IEditorPart doOpenEditor​(IWorkbenchPage page,
                                             URI uri)

      Specified by:
        `doOpenEditor` in class `CDOEditorOpener.Default`